//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "BackupThrds.h"
#include "Global.h"
//---------------------------------------------------------------------------
//   Important: Methods and properties of objects in VCL can only be
//   used in a method called using Synchronize, for example:
//
//      Synchronize(UpdateCaption);
//
//   where UpdateCaption could look like:
//
//      void __fastcall TBackupThread::UpdateCaption()
//      {
//        Form1->Caption = "Updated in a thread";
//      }
//---------------------------------------------------------------------------
__fastcall TBackupThread::TBackupThread(bool CreateSuspended)
	: TThread(CreateSuspended)
{
   finished = false;
   failed = false;
}
//---------------------------------------------------------------------------
void __fastcall TBackupThread::Execute()
{
   if (!CopyFile(ExistingFile.c_str(),CopyToFile.c_str(),false))
   {
      ErrorMsg = GetLastErrorStr();
      failed = true;
   }
   finished = true;
}
//---------------------------------------------------------------------------
